diff --git a/vhdlparser/VhdlParser.h b/vhdlparser/VhdlParser.h
index bd02af3..f942612 100644
--- a/vhdlparser/VhdlParser.h
+++ b/vhdlparser/VhdlParser.h
@@ -1222,7 +1222,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_81() || jj_done);
+    return !jj_3_81() || jj_done;
  { jj_save(80, xla); }
   }
 
@@ -1230,7 +1230,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_82() || jj_done);
+    return !jj_3_82() || jj_done;
  { jj_save(81, xla); }
   }
 
@@ -1238,7 +1238,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_83() || jj_done);
+    return !jj_3_83() || jj_done;
  { jj_save(82, xla); }
   }
 
@@ -1246,7 +1246,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_84() || jj_done);
+    return !jj_3_84() || jj_done;
  { jj_save(83, xla); }
   }
 
@@ -1254,7 +1254,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_85() || jj_done);
+    return !jj_3_85() || jj_done;
  { jj_save(84, xla); }
   }
 
@@ -1262,7 +1262,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_86() || jj_done);
+    return !jj_3_86() || jj_done;
  { jj_save(85, xla); }
   }
 
@@ -1270,7 +1270,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_87() || jj_done);
+    return !jj_3_87() || jj_done;
  { jj_save(86, xla); }
   }
 
@@ -1278,7 +1278,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_88() || jj_done);
+    return !jj_3_88() || jj_done;
  { jj_save(87, xla); }
   }
 
@@ -1286,7 +1286,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_89() || jj_done);
+    return !jj_3_89() || jj_done;
  { jj_save(88, xla); }
   }
 
@@ -1294,7 +1294,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_90() || jj_done);
+    return !jj_3_90() || jj_done;
  { jj_save(89, xla); }
   }
 
@@ -1302,7 +1302,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_91() || jj_done);
+    return !jj_3_91() || jj_done;
  { jj_save(90, xla); }
   }
 
@@ -1310,7 +1310,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_92() || jj_done);
+    return !jj_3_92() || jj_done;
  { jj_save(91, xla); }
   }
 
@@ -1318,7 +1318,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_93() || jj_done);
+    return !jj_3_93() || jj_done;
  { jj_save(92, xla); }
   }
 
@@ -1326,7 +1326,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_94() || jj_done);
+    return !jj_3_94() || jj_done;
  { jj_save(93, xla); }
   }
 
@@ -1334,7 +1334,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_95() || jj_done);
+    return !jj_3_95() || jj_done;
  { jj_save(94, xla); }
   }
 
@@ -1342,7 +1342,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_96() || jj_done);
+    return !jj_3_96() || jj_done;
  { jj_save(95, xla); }
   }
 
@@ -1350,7 +1350,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_97() || jj_done);
+    return !jj_3_97() || jj_done;
  { jj_save(96, xla); }
   }
 
@@ -1358,7 +1358,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_98() || jj_done);
+    return !jj_3_98() || jj_done;
  { jj_save(97, xla); }
   }
 
@@ -1366,7 +1366,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_99() || jj_done);
+    return !jj_3_99() || jj_done;
  { jj_save(98, xla); }
   }
 
@@ -1374,7 +1374,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_100() || jj_done);
+    return !jj_3_100() || jj_done;
  { jj_save(99, xla); }
   }
 
@@ -1382,7 +1382,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_101() || jj_done);
+    return !jj_3_101() || jj_done;
  { jj_save(100, xla); }
   }
 
@@ -1390,7 +1390,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_102() || jj_done);
+    return !jj_3_102() || jj_done;
  { jj_save(101, xla); }
   }
 
@@ -1398,7 +1398,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_103() || jj_done);
+    return !jj_3_103() || jj_done;
  { jj_save(102, xla); }
   }
 
@@ -1406,7 +1406,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_104() || jj_done);
+    return !jj_3_104() || jj_done;
  { jj_save(103, xla); }
   }
 
@@ -1414,7 +1414,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_105() || jj_done);
+    return !jj_3_105() || jj_done;
  { jj_save(104, xla); }
   }
 
@@ -1422,7 +1422,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_106() || jj_done);
+    return !jj_3_106() || jj_done;
  { jj_save(105, xla); }
   }
 
@@ -1430,7 +1430,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_107() || jj_done);
+    return !jj_3_107() || jj_done;
  { jj_save(106, xla); }
   }
 
@@ -1438,7 +1438,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_108() || jj_done);
+    return !jj_3_108() || jj_done;
  { jj_save(107, xla); }
   }
 
@@ -1446,7 +1446,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_109() || jj_done);
+    return !jj_3_109() || jj_done;
  { jj_save(108, xla); }
   }
 
@@ -1454,7 +1454,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_110() || jj_done);
+    return !jj_3_110() || jj_done;
  { jj_save(109, xla); }
   }
 
@@ -1462,7 +1462,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_111() || jj_done);
+    return !jj_3_111() || jj_done;
  { jj_save(110, xla); }
   }
 
@@ -1470,7 +1470,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_112() || jj_done);
+    return !jj_3_112() || jj_done;
  { jj_save(111, xla); }
   }
 
@@ -1478,7 +1478,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_113() || jj_done);
+    return !jj_3_113() || jj_done;
  { jj_save(112, xla); }
   }
 
@@ -1486,7 +1486,7 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_114() || jj_done);
+    return !jj_3_114() || jj_done;
  { jj_save(113, xla); }
   }
 
@@ -1494,38 +1494,10 @@ void parseInline();
  {
     jj_la = xla; jj_lastpos = jj_scanpos = token;
     jj_done = false;
-    return (!jj_3_115() || jj_done);
+    return !jj_3_115() || jj_done;
  { jj_save(114, xla); }
   }
 
- inline bool jj_3R_228()
- {
-    if (jj_done) return true;
-    if (jj_3R_94()) return true;
-    return false;
-  }
-
- inline bool jj_3R_106()
- {
-    if (jj_done) return true;
-    Token * xsp;
-    xsp = jj_scanpos;
-    if (jj_3R_228()) {
-    jj_scanpos = xsp;
-    if (jj_3R_229()) {
-    jj_scanpos = xsp;
-    if (jj_3R_230()) {
-    jj_scanpos = xsp;
-    if (jj_3R_231()) {
-    jj_scanpos = xsp;
-    if (jj_3R_232()) return true;
-    }
-    }
-    }
-    }
-    return false;
-  }
-
  inline bool jj_3_43()
  {
     if (jj_done) return true;
@@ -1762,24 +1734,24 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_414()
+ inline bool jj_3R_695()
  {
     if (jj_done) return true;
-    if (jj_scan_token(ALL_T)) return true;
+    if (jj_3R_69()) return true;
     return false;
   }
 
- inline bool jj_3R_413()
+ inline bool jj_3R_414()
  {
     if (jj_done) return true;
-    if (jj_scan_token(OTHER_T)) return true;
+    if (jj_scan_token(ALL_T)) return true;
     return false;
   }
 
- inline bool jj_3R_695()
+ inline bool jj_3R_413()
  {
     if (jj_done) return true;
-    if (jj_3R_69()) return true;
+    if (jj_scan_token(OTHER_T)) return true;
     return false;
   }
 
@@ -1826,6 +1798,19 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_425()
+ {
+    if (jj_done) return true;
+    if (jj_scan_token(IS_T)) return true;
+    Token * xsp;
+    xsp = jj_scanpos;
+    if (jj_3R_695()) {
+    jj_scanpos = xsp;
+    if (jj_scan_token(145)) return true;
+    }
+    return false;
+  }
+
  inline bool jj_3R_173()
  {
     if (jj_done) return true;
@@ -1858,19 +1843,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_425()
- {
-    if (jj_done) return true;
-    if (jj_scan_token(IS_T)) return true;
-    Token * xsp;
-    xsp = jj_scanpos;
-    if (jj_3R_695()) {
-    jj_scanpos = xsp;
-    if (jj_scan_token(145)) return true;
-    }
-    return false;
-  }
-
  inline bool jj_3R_154()
  {
     if (jj_done) return true;
@@ -1937,6 +1909,15 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_519()
+ {
+    if (jj_done) return true;
+    if (jj_scan_token(LPAREN_T)) return true;
+    if (jj_3R_312()) return true;
+    if (jj_scan_token(RPAREN_T)) return true;
+    return false;
+  }
+
  inline bool jj_3R_622()
  {
     if (jj_done) return true;
@@ -1955,15 +1936,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_519()
- {
-    if (jj_done) return true;
-    if (jj_scan_token(LPAREN_T)) return true;
-    if (jj_3R_312()) return true;
-    if (jj_scan_token(RPAREN_T)) return true;
-    return false;
-  }
-
  inline bool jj_3R_254()
  {
     if (jj_done) return true;
@@ -2019,18 +1991,18 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_164()
+ inline bool jj_3_115()
  {
     if (jj_done) return true;
-    if (jj_scan_token(BASIC_IDENTIFIER)) return true;
+    if (jj_3R_58()) return true;
+    if (jj_scan_token(WHEN_T)) return true;
     return false;
   }
 
- inline bool jj_3_115()
+ inline bool jj_3R_164()
  {
     if (jj_done) return true;
-    if (jj_3R_58()) return true;
-    if (jj_scan_token(WHEN_T)) return true;
+    if (jj_scan_token(BASIC_IDENTIFIER)) return true;
     return false;
   }
 
@@ -2076,19 +2048,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_65()
- {
-    if (jj_done) return true;
-    if (jj_scan_token(GROUP_T)) return true;
-    if (jj_3R_69()) return true;
-    if (jj_scan_token(IS_T)) return true;
-    if (jj_scan_token(LPAREN_T)) return true;
-    if (jj_3R_473()) return true;
-    if (jj_scan_token(RPAREN_T)) return true;
-    if (jj_scan_token(SEMI_T)) return true;
-    return false;
-  }
-
  inline bool jj_3R_445()
  {
     if (jj_done) return true;
@@ -2104,32 +2063,31 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_545()
+ inline bool jj_3R_65()
  {
     if (jj_done) return true;
-    if (jj_scan_token(WHEN_T)) return true;
-    if (jj_3R_58()) return true;
+    if (jj_scan_token(GROUP_T)) return true;
+    if (jj_3R_69()) return true;
+    if (jj_scan_token(IS_T)) return true;
+    if (jj_scan_token(LPAREN_T)) return true;
+    if (jj_3R_473()) return true;
+    if (jj_scan_token(RPAREN_T)) return true;
+    if (jj_scan_token(SEMI_T)) return true;
     return false;
   }
 
- inline bool jj_3R_304()
+ inline bool jj_3R_545()
  {
     if (jj_done) return true;
-    if (jj_3R_383()) return true;
+    if (jj_scan_token(WHEN_T)) return true;
+    if (jj_3R_58()) return true;
     return false;
   }
 
- inline bool jj_3R_382()
+ inline bool jj_3R_304()
  {
     if (jj_done) return true;
-    if (jj_scan_token(GROUP_T)) return true;
-    if (jj_3R_69()) return true;
-    if (jj_scan_token(COLON_T)) return true;
-    if (jj_3R_69()) return true;
-    if (jj_scan_token(LPAREN_T)) return true;
-    if (jj_3R_474()) return true;
-    if (jj_scan_token(RPAREN_T)) return true;
-    if (jj_scan_token(SEMI_T)) return true;
+    if (jj_3R_383()) return true;
     return false;
   }
 
@@ -2161,6 +2119,20 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_382()
+ {
+    if (jj_done) return true;
+    if (jj_scan_token(GROUP_T)) return true;
+    if (jj_3R_69()) return true;
+    if (jj_scan_token(COLON_T)) return true;
+    if (jj_3R_69()) return true;
+    if (jj_scan_token(LPAREN_T)) return true;
+    if (jj_3R_474()) return true;
+    if (jj_scan_token(RPAREN_T)) return true;
+    if (jj_scan_token(SEMI_T)) return true;
+    return false;
+  }
+
  inline bool jj_3R_474()
  {
     if (jj_done) return true;
@@ -2173,13 +2145,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_607()
- {
-    if (jj_done) return true;
-    if (jj_3R_351()) return true;
-    return false;
-  }
-
  inline bool jj_3R_303()
  {
     if (jj_done) return true;
@@ -2197,6 +2162,20 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_607()
+ {
+    if (jj_done) return true;
+    if (jj_3R_351()) return true;
+    return false;
+  }
+
+ inline bool jj_3R_194()
+ {
+    if (jj_done) return true;
+    if (jj_3R_343()) return true;
+    return false;
+  }
+
  inline bool jj_3R_606()
  {
     if (jj_done) return true;
@@ -2227,20 +2206,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_194()
- {
-    if (jj_done) return true;
-    if (jj_3R_343()) return true;
-    return false;
-  }
-
- inline bool jj_3R_170()
- {
-    if (jj_done) return true;
-    if (jj_3R_69()) return true;
-    return false;
-  }
-
  inline bool jj_3R_193()
  {
     if (jj_done) return true;
@@ -2260,10 +2225,10 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_158()
+ inline bool jj_3R_170()
  {
     if (jj_done) return true;
-    if (jj_3R_312()) return true;
+    if (jj_3R_69()) return true;
     return false;
   }
 
@@ -2290,14 +2255,10 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_66()
+ inline bool jj_3R_158()
  {
     if (jj_done) return true;
-    if (jj_scan_token(GENERIC_T)) return true;
-    if (jj_scan_token(LPAREN_T)) return true;
-    if (jj_3R_158()) return true;
-    if (jj_scan_token(RPAREN_T)) return true;
-    if (jj_scan_token(SEMI_T)) return true;
+    if (jj_3R_312()) return true;
     return false;
   }
 
@@ -2320,6 +2281,17 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_66()
+ {
+    if (jj_done) return true;
+    if (jj_scan_token(GENERIC_T)) return true;
+    if (jj_scan_token(LPAREN_T)) return true;
+    if (jj_3R_158()) return true;
+    if (jj_scan_token(RPAREN_T)) return true;
+    if (jj_scan_token(SEMI_T)) return true;
+    return false;
+  }
+
  inline bool jj_3R_321()
  {
     if (jj_done) return true;
@@ -2328,6 +2300,21 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_447()
+ {
+    if (jj_done) return true;
+    if (jj_3R_444()) return true;
+    if (jj_scan_token(WHEN_T)) return true;
+    if (jj_3R_85()) return true;
+    Token * xsp;
+    while (true) {
+      xsp = jj_scanpos;
+      if (jj_3R_529()) { jj_scanpos = xsp; break; }
+    }
+    if (jj_scan_token(SEMI_T)) return true;
+    return false;
+  }
+
  inline bool jj_3R_168()
  {
     if (jj_done) return true;
@@ -2348,21 +2335,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_447()
- {
-    if (jj_done) return true;
-    if (jj_3R_444()) return true;
-    if (jj_scan_token(WHEN_T)) return true;
-    if (jj_3R_85()) return true;
-    Token * xsp;
-    while (true) {
-      xsp = jj_scanpos;
-      if (jj_3R_529()) { jj_scanpos = xsp; break; }
-    }
-    if (jj_scan_token(SEMI_T)) return true;
-    return false;
-  }
-
  inline bool jj_3R_305()
  {
     if (jj_done) return true;
@@ -2382,6 +2354,21 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_302()
+ {
+    if (jj_done) return true;
+    if (jj_3R_383()) return true;
+    return false;
+  }
+
+ inline bool jj_3_111()
+ {
+    if (jj_done) return true;
+    if (jj_3R_142()) return true;
+    if (jj_scan_token(DOT_T)) return true;
+    return false;
+  }
+
  inline bool jj_3R_74()
  {
     if (jj_done) return true;
@@ -2399,32 +2386,7 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_302()
- {
-    if (jj_done) return true;
-    if (jj_3R_383()) return true;
-    return false;
-  }
-
- inline bool jj_3_111()
- {
-    if (jj_done) return true;
-    if (jj_3R_142()) return true;
-    if (jj_scan_token(DOT_T)) return true;
-    return false;
-  }
-
- inline bool jj_3R_104()
- {
-    if (jj_done) return true;
-    if (jj_3R_59()) return true;
-    if (jj_scan_token(LPAREN_T)) return true;
-    if (jj_3R_225()) return true;
-    if (jj_scan_token(RPAREN_T)) return true;
-    return false;
-  }
-
- inline bool jj_3R_144()
+ inline bool jj_3R_144()
  {
     if (jj_done) return true;
     if (jj_scan_token(WITH_T)) return true;
@@ -2449,6 +2411,16 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_104()
+ {
+    if (jj_done) return true;
+    if (jj_3R_59()) return true;
+    if (jj_scan_token(LPAREN_T)) return true;
+    if (jj_3R_225()) return true;
+    if (jj_scan_token(RPAREN_T)) return true;
+    return false;
+  }
+
  inline bool jj_3R_368()
  {
     if (jj_done) return true;
@@ -2508,13 +2480,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_462()
- {
-    if (jj_done) return true;
-    if (jj_3R_533()) return true;
-    return false;
-  }
-
  inline bool jj_3_113()
  {
     if (jj_done) return true;
@@ -2544,6 +2509,13 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_462()
+ {
+    if (jj_done) return true;
+    if (jj_3R_533()) return true;
+    return false;
+  }
+
  inline bool jj_3R_270()
  {
     if (jj_done) return true;
@@ -2570,15 +2542,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_156()
- {
-    if (jj_done) return true;
-    if (jj_scan_token(LPAREN_T)) return true;
-    if (jj_3R_311()) return true;
-    if (jj_scan_token(RPAREN_T)) return true;
-    return false;
-  }
-
  inline bool jj_3R_143()
  {
     if (jj_done) return true;
@@ -2596,14 +2559,12 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_136()
+ inline bool jj_3R_156()
  {
     if (jj_done) return true;
-    if (jj_scan_token(TYPE_T)) return true;
-    if (jj_3R_69()) return true;
-    if (jj_scan_token(IS_T)) return true;
-    if (jj_3R_576()) return true;
-    if (jj_scan_token(SEMI_T)) return true;
+    if (jj_scan_token(LPAREN_T)) return true;
+    if (jj_3R_311()) return true;
+    if (jj_scan_token(RPAREN_T)) return true;
     return false;
   }
 
@@ -2632,13 +2593,14 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_63()
+ inline bool jj_3R_136()
  {
     if (jj_done) return true;
-    if (jj_3R_59()) return true;
-    Token * xsp;
-    xsp = jj_scanpos;
-    if (jj_3R_156()) jj_scanpos = xsp;
+    if (jj_scan_token(TYPE_T)) return true;
+    if (jj_3R_69()) return true;
+    if (jj_scan_token(IS_T)) return true;
+    if (jj_3R_576()) return true;
+    if (jj_scan_token(SEMI_T)) return true;
     return false;
   }
 
@@ -2659,13 +2621,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_569()
- {
-    if (jj_done) return true;
-    if (jj_3R_312()) return true;
-    return false;
-  }
-
  inline bool jj_3R_268()
  {
     if (jj_done) return true;
@@ -2673,10 +2628,13 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_397()
+ inline bool jj_3R_63()
  {
     if (jj_done) return true;
-    if (jj_scan_token(INTEGER)) return true;
+    if (jj_3R_59()) return true;
+    Token * xsp;
+    xsp = jj_scanpos;
+    if (jj_3R_156()) jj_scanpos = xsp;
     return false;
   }
 
@@ -2699,22 +2657,17 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_311()
+ inline bool jj_3R_569()
  {
     if (jj_done) return true;
-    Token * xsp;
-    xsp = jj_scanpos;
-    if (jj_3R_396()) {
-    jj_scanpos = xsp;
-    if (jj_3R_397()) return true;
-    }
+    if (jj_3R_312()) return true;
     return false;
   }
 
- inline bool jj_3R_396()
+ inline bool jj_3R_397()
  {
     if (jj_done) return true;
-    if (jj_3R_59()) return true;
+    if (jj_scan_token(INTEGER)) return true;
     return false;
   }
 
@@ -2748,27 +2701,29 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3_110()
+ inline bool jj_3R_311()
  {
     if (jj_done) return true;
-    if (jj_3R_141()) return true;
+    Token * xsp;
+    xsp = jj_scanpos;
+    if (jj_3R_396()) {
+    jj_scanpos = xsp;
+    if (jj_3R_397()) return true;
+    }
     return false;
   }
 
- inline bool jj_3R_656()
+ inline bool jj_3R_396()
  {
     if (jj_done) return true;
-    if (jj_scan_token(FILE_T)) return true;
-    if (jj_scan_token(OF_T)) return true;
-    if (jj_3R_157()) return true;
+    if (jj_3R_59()) return true;
     return false;
   }
 
- inline bool jj_3R_579()
+ inline bool jj_3_110()
  {
     if (jj_done) return true;
-    if (jj_scan_token(OPEN_T)) return true;
-    if (jj_3R_58()) return true;
+    if (jj_3R_141()) return true;
     return false;
   }
 
@@ -2779,14 +2734,12 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_533()
+ inline bool jj_3R_656()
  {
     if (jj_done) return true;
-    Token * xsp;
-    xsp = jj_scanpos;
-    if (jj_3R_579()) jj_scanpos = xsp;
-    if (jj_scan_token(IS_T)) return true;
-    if (jj_3R_580()) return true;
+    if (jj_scan_token(FILE_T)) return true;
+    if (jj_scan_token(OF_T)) return true;
+    if (jj_3R_157()) return true;
     return false;
   }
 
@@ -2800,13 +2753,25 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_580()
+ inline bool jj_3R_579()
  {
     if (jj_done) return true;
+    if (jj_scan_token(OPEN_T)) return true;
     if (jj_3R_58()) return true;
     return false;
   }
 
+ inline bool jj_3R_533()
+ {
+    if (jj_done) return true;
+    Token * xsp;
+    xsp = jj_scanpos;
+    if (jj_3R_579()) jj_scanpos = xsp;
+    if (jj_scan_token(IS_T)) return true;
+    if (jj_3R_580()) return true;
+    return false;
+  }
+
  inline bool jj_3R_639()
  {
     if (jj_done) return true;
@@ -2827,11 +2792,10 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_448()
+ inline bool jj_3R_580()
  {
     if (jj_done) return true;
-    if (jj_scan_token(DOUBLEMULT_T)) return true;
-    if (jj_3R_369()) return true;
+    if (jj_3R_58()) return true;
     return false;
   }
 
@@ -2854,6 +2818,43 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_448()
+ {
+    if (jj_done) return true;
+    if (jj_scan_token(DOUBLEMULT_T)) return true;
+    if (jj_3R_369()) return true;
+    return false;
+  }
+
+ inline bool jj_3R_609()
+ {
+    if (jj_done) return true;
+    if (jj_scan_token(DOT_T)) return true;
+    if (jj_3R_69()) return true;
+    return false;
+  }
+
+ inline bool jj_3R_608()
+ {
+    if (jj_done) return true;
+    if (jj_scan_token(DOT_T)) return true;
+    if (jj_3R_141()) return true;
+    if (jj_3R_69()) return true;
+    return false;
+  }
+
+ inline bool jj_3R_552()
+ {
+    if (jj_done) return true;
+    Token * xsp;
+    xsp = jj_scanpos;
+    if (jj_3R_608()) {
+    jj_scanpos = xsp;
+    if (jj_3R_609()) return true;
+    }
+    return false;
+  }
+
  inline bool jj_3R_375()
  {
     if (jj_done) return true;
@@ -2875,11 +2876,10 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_609()
+ inline bool jj_3R_488()
  {
     if (jj_done) return true;
-    if (jj_scan_token(DOT_T)) return true;
-    if (jj_3R_69()) return true;
+    if (jj_3R_554()) return true;
     return false;
   }
 
@@ -2891,32 +2891,40 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_282()
+ inline bool jj_3R_487()
  {
     if (jj_done) return true;
-    if (jj_scan_token(ABS_T)) return true;
-    if (jj_3R_369()) return true;
+    if (jj_3R_553()) return true;
     return false;
   }
 
- inline bool jj_3R_608()
+ inline bool jj_3R_282()
  {
     if (jj_done) return true;
-    if (jj_scan_token(DOT_T)) return true;
-    if (jj_3R_141()) return true;
-    if (jj_3R_69()) return true;
+    if (jj_scan_token(ABS_T)) return true;
+    if (jj_3R_369()) return true;
     return false;
   }
 
- inline bool jj_3R_552()
+ inline bool jj_3R_395()
  {
     if (jj_done) return true;
     Token * xsp;
     xsp = jj_scanpos;
-    if (jj_3R_608()) {
+    if (jj_3R_486()) {
     jj_scanpos = xsp;
-    if (jj_3R_609()) return true;
+    if (jj_3R_487()) {
+    jj_scanpos = xsp;
+    if (jj_3R_488()) return true;
     }
+    }
+    return false;
+  }
+
+ inline bool jj_3R_486()
+ {
+    if (jj_done) return true;
+    if (jj_3R_552()) return true;
     return false;
   }
 
@@ -2945,39 +2953,24 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_488()
- {
-    if (jj_done) return true;
-    if (jj_3R_554()) return true;
-    return false;
-  }
-
- inline bool jj_3R_487()
+ inline bool jj_3_106()
  {
     if (jj_done) return true;
-    if (jj_3R_553()) return true;
+    if (jj_3R_138()) return true;
     return false;
   }
 
- inline bool jj_3R_395()
+ inline bool jj_3R_485()
  {
     if (jj_done) return true;
-    Token * xsp;
-    xsp = jj_scanpos;
-    if (jj_3R_486()) {
-    jj_scanpos = xsp;
-    if (jj_3R_487()) {
-    jj_scanpos = xsp;
-    if (jj_3R_488()) return true;
-    }
-    }
+    if (jj_scan_token(VARIABLE_T)) return true;
     return false;
   }
 
- inline bool jj_3R_486()
+ inline bool jj_3R_484()
  {
     if (jj_done) return true;
-    if (jj_3R_552()) return true;
+    if (jj_scan_token(SIGNAL_T)) return true;
     return false;
   }
 
@@ -2997,12 +2990,27 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3_106()
+ inline bool jj_3R_394()
  {
     if (jj_done) return true;
-    if (jj_3R_138()) return true;
-    return false;
-  }
+    Token * xsp;
+    xsp = jj_scanpos;
+    if (jj_3R_483()) {
+    jj_scanpos = xsp;
+    if (jj_3R_484()) {
+    jj_scanpos = xsp;
+    if (jj_3R_485()) return true;
+    }
+    }
+    return false;
+  }
+
+ inline bool jj_3R_483()
+ {
+    if (jj_done) return true;
+    if (jj_scan_token(CONSTANT_T)) return true;
+    return false;
+  }
 
  inline bool jj_3R_393()
  {
@@ -3018,24 +3026,24 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_485()
+ inline bool jj_3R_391()
  {
     if (jj_done) return true;
-    if (jj_scan_token(VARIABLE_T)) return true;
+    if (jj_scan_token(XNOR_T)) return true;
     return false;
   }
 
- inline bool jj_3R_391()
+ inline bool jj_3_108()
  {
     if (jj_done) return true;
-    if (jj_scan_token(XNOR_T)) return true;
+    if (jj_3R_140()) return true;
     return false;
   }
 
- inline bool jj_3R_484()
+ inline bool jj_3R_274()
  {
     if (jj_done) return true;
-    if (jj_scan_token(SIGNAL_T)) return true;
+    if (jj_3R_132()) return true;
     return false;
   }
 
@@ -3053,28 +3061,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_394()
- {
-    if (jj_done) return true;
-    Token * xsp;
-    xsp = jj_scanpos;
-    if (jj_3R_483()) {
-    jj_scanpos = xsp;
-    if (jj_3R_484()) {
-    jj_scanpos = xsp;
-    if (jj_3R_485()) return true;
-    }
-    }
-    return false;
-  }
-
- inline bool jj_3R_483()
- {
-    if (jj_done) return true;
-    if (jj_scan_token(CONSTANT_T)) return true;
-    return false;
-  }
-
  inline bool jj_3R_308()
  {
     if (jj_done) return true;
@@ -3106,32 +3092,6 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3_108()
- {
-    if (jj_done) return true;
-    if (jj_3R_140()) return true;
-    return false;
-  }
-
- inline bool jj_3R_274()
- {
-    if (jj_done) return true;
-    if (jj_3R_132()) return true;
-    return false;
-  }
-
- inline bool jj_3R_58()
- {
-    if (jj_done) return true;
-    if (jj_3R_145()) return true;
-    Token * xsp;
-    while (true) {
-      xsp = jj_scanpos;
-      if (jj_3R_146()) { jj_scanpos = xsp; break; }
-    }
-    return false;
-  }
-
  inline bool jj_3R_310()
  {
     if (jj_done) return true;
@@ -3163,6 +3123,18 @@ void parseInline();
     return false;
   }
 
+ inline bool jj_3R_58()
+ {
+    if (jj_done) return true;
+    if (jj_3R_145()) return true;
+    Token * xsp;
+    while (true) {
+      xsp = jj_scanpos;
+      if (jj_3R_146()) { jj_scanpos = xsp; break; }
+    }
+    return false;
+  }
+
  inline bool jj_3R_169()
  {
     if (jj_done) return true;
@@ -3176,34 +3148,49 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_264()
+ inline bool jj_3R_284()
  {
     if (jj_done) return true;
-    if (jj_scan_token(WHEN_T)) return true;
-    if (jj_3R_79()) return true;
+    if (jj_3R_69()) return true;
     return false;
   }
 
- inline bool jj_3R_284()
+ inline bool jj_3R_661()
  {
     if (jj_done) return true;
-    if (jj_3R_69()) return true;
+    if (jj_scan_token(BEGIN_T)) return true;
+    if (jj_3R_661()) return true;
     return false;
   }
 
- inline bool jj_3R_262()
+ inline bool jj_3R_234()
  {
     if (jj_done) return true;
-    if (jj_3R_69()) return true;
+    if (jj_3R_132()) return true;
+    return false;
+  }
+
+ inline bool jj_3_107()
+ {
+    if (jj_done) return true;
+    if (jj_3R_139()) return true;
     if (jj_scan_token(COLON_T)) return true;
     return false;
   }
 
- inline bool jj_3R_661()
+ inline bool jj_3R_264()
  {
     if (jj_done) return true;
-    if (jj_scan_token(BEGIN_T)) return true;
-    if (jj_3R_661()) return true;
+    if (jj_scan_token(WHEN_T)) return true;
+    if (jj_3R_79()) return true;
+    return false;
+  }
+
+ inline bool jj_3R_262()
+ {
+    if (jj_done) return true;
+    if (jj_3R_69()) return true;
+    if (jj_scan_token(COLON_T)) return true;
     return false;
   }
 
@@ -3222,18 +3209,21 @@ void parseInline();
     return false;
   }
 
- inline bool jj_3R_234()
+ inline bool jj_3R_138()
  {
     if (jj_done) return true;
-    if (jj_3R_132()) return true;
+    if (jj_scan_token(END_T)) return true;
+    Token * xsp;
+    xsp = jj_scanpos;
+    if (jj_3R_284()) jj_scanpos = xsp;
+    if (jj_scan_token(SEMI_T)) return true;
     return false;
   }
 
- inline bool jj_3_107()
+ inline bool jj_3R_640()
  {
     if (jj_done) return true;
-    if (jj_3R_139()) return true;
-    if (jj_scan_token(COLON_T)) return true;
+    if (jj_3R_132()) return true;
     return false;
   }
 
